import { UmbUfmFilterBase } from './base.filter.js';
import { formatBytes } from '../../core/utils/index.js';
class UmbUfmBytesFilterApi extends UmbUfmFilterBase {
    filter(str, decimals, kilo, culture) {
        if (!str?.length)
            return '';
        return formatBytes(Number(str), { decimals, kilo, culture });
    }
}
export { UmbUfmBytesFilterApi as api };
